Bug 31271 - xgettext fetches zone.tab comments
xgettext fetches zone.tab comments
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-09 20:51 EST by Christian Rose
Modified: 2007-04-18 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-10 09:40:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2001-03-09 20:51:22 EST
#. generated from zone.tab
msgid "# 1.  ISO 3166 2-character country code.  See the file
`iso3166.tab'."

#. generated from zone.tab
msgid "# (1) makes some geographical sense, and"

#. generated from zone.tab
msgid "# 2.  Latitude and longitude of the zone's principal location"

#. generated from zone.tab
msgid ""
"# (2) puts the most populous zones first, where that does not contradict
(1)."

#. generated from zone.tab
msgid "# 3.  Zone name used in value of TZ environment variable."

#. generated from zone.tab
msgid "# 4.  Comments; present if and only if the country has multiple
rows."

#. generated from zone.tab
msgid "# Columns are separated by a single tab."

#. generated from zone.tab
msgid "#country-"

#. generated from zone.tab
msgid "#     either +-DDMM+-DDDMM or +-DDMMSS+-DDDMMSS,"

#. generated from zone.tab
msgid "#     first latitude (+ is north), then longitude (+ is east)."

#. generated from zone.tab
msgid "# From Paul Eggert <eggert@twinsun.com> (1996-08-05):"

#. generated from zone.tab
msgid "#     in ISO 6709 sign-degrees-minutes-seconds format,"

#. generated from zone.tab
msgid "# Lines beginning with `#' are comments."

#. generated from zone.tab
msgid ""
"# The table is sorted first by country, then an order within the country
that"

#. generated from zone.tab
msgid "# This file contains a table with the following columns:"

#. generated from zone.tab
msgid "# TZ zone descriptions"


These messages all recently ended up in the i18n robot for translators to
translate.
I suspect that they are comments in the zone.tab file and hence shouldn't
be translated. However, if that's the case, please remove those comments or
otherwise make sure that they aren't fetched by xgettext - having them in
the pot file makes unnecessary, unused work for translators, clutters up
the translations, and makes the translation statistics and tracking
inaccurate.
Comment 1 Matt Wilson 2001-03-10 09:25:51 EST
they are included in the GUI timezone selecter.  See 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=30869
Comment 2 Christian Rose 2001-03-10 09:36:02 EST
What I want to know is if the messages mentioned in *this* report are displayed
to the end user. If not, they should be removed.
I really doubt that messages like
"# This file contains a table with the following columns:"
are displayed in the GUI installer?
Comment 3 Matt Wilson 2001-03-10 09:43:06 EST
I don't know how those got in anaconda.pot - when I ran make update-po they all
fell out.

Note You need to log in before you can comment on or make changes to this bug.